@import url("https://fonts.googleapis.com/css2?family=Unbounded:wght@200..900&display=swap");

/* General Styles */

* {
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
    transition: all 0.2s ease-in-out;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: "Unbounded", sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f8f9fa;
}


/* Navbar Styles */

header {
    background: #fff;
    flex-wrap: wrap;
    width: 100%;
    padding: 20px 80px;
    max-height: 92px;
    text-align: center;
    display: flex;
    justify-content: space-between;
    box-shadow: 2px 2px 15px rgba(184, 184, 184, 0.556);
}

header p {
    font-size: 20px;
    margin-top: 13px;
    cursor: pointer;
}

header p b {
    color: rgb(16, 116, 255);
}

header ul {
    display: flex;
    gap: 30px;
}

header a {
    color: #000;
}

header ul li a:hover {
    color: rgb(16, 116, 255);
}

header input {
    padding: 5px 25px;
    border-radius: 50px;
    border: 2px solid rgb(16, 116, 255);
    outline: none;
    max-width: 500px;
    font-family: "Unbounded";
}

header input:focus {
    border: 2px solid rgb(0, 47, 113);
}

.hidden {
    display: none;
}


/* Responsive Design */

@media (max-width: 915px) {
    header {
        max-height: none;
        justify-content: center;
    }
}

@media (max-width: 768px) {
    header input {
        padding: 10px 15px;
    }

    header ul {
        padding: 6px;
    }

    .caption h2 {
        font-size: 16px;
    }

    .caption h3 {
        font-size: 20px;
    }

    .caption p {
        font-size: 14px;
    }

    .navigation button {
        font-size: 20px;
        padding: 8px;
    }
}

@media (max-width: 586px) {
    header {
        padding: 20px 16px;
        justify-content: center;
    }

    .slide img {
        height: 300px;
    }
}

@media (max-width: 480px) {
    .caption {
        bottom: 10px;
        left: 10px;
    }

    .caption h2 {
        font-size: 14px;
    }

    .caption h3 {
        font-size: 18px;
    }

    .caption p {
        font-size: 12px;
    }
}


/* //////hero */


/* Multfilmlar */

.multfilmlar {
    text-align: center;
    padding: 35px 80px;
}

.multfilmlar h1 {
    margin-bottom: 50px;
}

.multfilmlar .box {
    display: flex;
    gap: 80px;
    justify-content: center;
    flex-wrap: wrap;
    margin-right: 24px;
}

.image-wrapper img {
    border-radius: 20px;
    width: 230px;
    display: block;
    height: auto;
    transition: filter 0.3s ease;
    margin: auto;
    width: 200px;
    height: 310px;
}

.image-container {
    position: relative;
    width: 200px;
}

.image-wrapper {
    position: relative;
    display: inline-block;
    overflow: hidden;
    border-radius: 10px;
}

.image-wrapper img {
    display: block;
    transition: all 0.3s ease;
}

.image-wrapper:hover img {
    filter: blur(5px);
    /* Blurs the image on hover */
}

.hover-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.236);
    /* Dark overlay */
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.image-wrapper:hover .hover-overlay {
    opacity: 1;
}

.top-icons {
    display: flex;
    justify-content: space-between;
    padding: 10px;
    color: white;
    font-size: 14px;
}

.center-button {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: white;
    /* background-color: rgba(0, 0, 0, 0.7); */
    /* padding: 10px; */
    margin: 20px;
    border-radius: 5px;
    transform: translateY(100%);
    margin-bottom: 50px;
    /* Start off the screen at the bottom */
    transition: transform 0.4s ease;
}

.center-button button {
    padding: 10px 15px;
    color: #fff;
    background: rgb(16, 116, 255);
    border: none;
    border-radius: 10px;
    font-family: "Unbounded";
    cursor: pointer;
}

.center-button button:hover {
    box-shadow: rgb(16, 116, 255) 0px 4px 15px;
}

.image-wrapper:hover .center-button {
    transform: translateY(0);
    /* Slide up into view on hover */
}

@media (max-width: 900px) {
    .hover-overlay {
        display: none;
    }

    .image-wrapper:hover img {
        filter: blur(2px);
        /* Blurs the image on hover */
    }
}

@media (max-width: 530px) {
    .multfilmlar {
        padding: 35px 10px;
    }

    .multfilmlar .box {
        gap: 20px;
    }

    .image-wrapper img {
        width: 150px;
        height: 250px;
    }

    .image-container {
        position: relative;
        width: 150px;
    }
}

.visible {
    opacity: 1;
    /* Cardlar ko'rinadigan holatga o'tadi */
}

@media (max-width: 530px) {
    .multfilmlar {
        padding: 35px 10px;
    }

    .multfilmlar .box {
        gap: 20px;
    }
}


/* ///Multfilmlar */

.footer {
    text-align: center;
    position: relative;
    margin-top: 80px;
    width: 100%;
    background: #3586ff;
    min-height: 100px;
    padding: 20px 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.social-icon,
.menu {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 10px 0;
    flex-wrap: wrap;
    margin-right: 30px;
    gap: 20px;
}

.social-icon__item,
.menu__item {
    list-style: none;
}

.social-icon__link {
    font-size: 2rem;
    color: #fff;
    margin: 0 10px;
    display: inline-block;
    transition: 0.5s;
}

.social-icon__link:hover {
    transform: translateY(-10px);
}

.menu__link {
    font-size: 1.2rem;
    color: #fff;
    margin: 0 10px;
    display: inline-block;
    transition: 0.5s;
    text-decoration: none;
    opacity: 0.75;
    font-weight: 300;
}

.menu__link:hover {
    opacity: 1;
}

.footer p {
    color: #fff;
    margin: 15px 0 10px 0;
    font-size: 1rem;
    font-weight: 300;
}

.wave {
    position: absolute;
    top: -100px;
    left: 0;
    width: 100%;
    height: 100px;
    background: url("https://i.ibb.co/wQZVxxk/wave.png");
    background-size: 1000px 100px;
}

.wave#wave1 {
    z-index: 1000;
    opacity: 1;
    bottom: 0;
    animation: animateWaves 4s linear infinite;
}

.wave#wave2 {
    z-index: 999;
    opacity: 0.5;
    bottom: 10px;
    animation: animate 4s linear infinite !important;
}

.wave#wave3 {
    z-index: 1000;
    opacity: 0.2;
    bottom: 15px;
    animation: animateWaves 3s linear infinite;
}

.wave#wave4 {
    z-index: 999;
    opacity: 0.7;
    bottom: 20px;
    animation: animate 3s linear infinite;
}

@keyframes animateWaves {
    0% {
        background-position-x: 1000px;
    }

    100% {
        background-positon-x: 0px;
    }
}

@keyframes animate {
    0% {
        background-position-x: -1000px;
    }

    100% {
        background-positon-x: 0px;
    }
}